Summary: A utility for removing files based on when they were last accessed
Name: tmpwatch
Version: 2.9.16
Release: 4%{?dist}
URL: https://fedorahosted.org/tmpwatch/
Source0: https://fedorahosted.org/releases/t/m/tmpwatch/tmpwatch-%{version}.tar.bz2
Source1: tmpwatch.daily
Patch0: tmpwatch-2.9.16-fuser.patch
Patch1: tmpwatch-2.9.16-EACCES.patch
License: GPLv2
Group: System Environment/Base
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: psmisc

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time.  Tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp).  Tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%prep
%setup -q
%patch0 -p1 -b .fuser
%patch1 -p1 -b .EACCES

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make ROOT=%{buildroot} SBINDIR=%{_sbindir} MANDIR=%{_mandir} \
	INSTALL='install -p' install

mkdir -p %{buildroot}%{_bindir}
# The $(...) computes /usr/bin => ../../
ln -s $(echo %{_bindir} |sed 's,/[^/]\+,/..,g; s,^/,,')%{_sbindir}/tmpwatch \
   %{buildroot}%{_bindir}/tmpwatch

mkdir -p %{buildroot}/etc/cron.daily
install -p %{SOURCE1} %{buildroot}/etc/cron.daily/tmpwatch
chmod +x %{buildroot}/etc/cron.daily/tmpwatch

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/tmpwatch
%{_sbindir}/tmpwatch
%{_mandir}/man8/tmpwatch.8*
%config(noreplace) /etc/cron.daily/tmpwatch


%changelog

